petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPSetComputeRitz

Sets a flag so that the Ritz or harmonic Ritz pairs will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetComputeRitz(KSP ksp, PetscBool flg)

Logically Collective on ksp

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| flg | - PETSC_TRUE or PETSC_FALSE

### Notes

Currently this option is only valid for the GMRES method.

### See Also

KSPComputeRitz(), KSP

### Level

advanced

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages